# Input File Description ## Program: neb.x / NEB / Quantum Espresso
> > ### TABLE OF CONTENTS INTRODUCTION &PATH string_method | restart_mode | nstep_path | num_of_images | opt_scheme | CI_scheme | first_last_opt | minimum_image | temp_req | ds | k_max | k_min | path_thr | use_masses | use_freezing | lfcpopt | fcp_mu | fcp_tot_charge_first | fcp_tot_charge_last CLIMBING_IMAGES index1, index2, ... indexN ### INTRODUCTION
> >     Input data format: { } = optional, [ ] = it depends, | = or

> >     All quantities whose dimensions are not explicitly specified are in
> >     RYDBERG ATOMIC UNITS

> >     BEWARE: TABS, DOS <CR><LF> CHARACTERS ARE POTENTIAL SOURCES OF TROUBLE

> >     General input file structure:
> >     ===============================================================================

> >     neb.x DOES NOT READ FROM STANDARD INPUT
> >     There are two ways for running a calculation with neb.x:
> >     1) specifying a file to parse with the ./neb.x -inp or
> >      neb.x -input command line option.
> >     2) or specifying the number of copies of PWscf input ./neb.x -input\_images.

> >     For case 1) a file containing KEYWORDS has to be written (see below).
> >     These KEYWORDS tells the parser which part of the file regards neb specifics
> >     and which part regards the energy/force engine (at the moment only PW).
> >     After the parsing different files are generated: neb.dat, with
> >     neb specific variables and a set of pw_*.in PWscf input files like
> >     one for each input position. All options for a single SCF calculation apply.

> >     The general structure of the file to be parsed is:

> >     BEGIN
> >     BEGIN_PATH_INPUT
> >     ... neb specific namelists and cards
> >     END_PATH_INPUT
> >     BEGIN_ENGINE_INPUT
> >     ...pw specific namelists and cards
> >     BEGIN_POSITIONS
> >     FIRST_IMAGE
> >     ...pw ATOMIC_POSITIONS card
> >     INTERMEDIATE_IMAGE
> >     ...pw ATOMIC_POSITIONS card
> >     LAST_IMAGE
> >     ...pw ATOMIC_POSITIONS card
> >     END_POSITIONS
> >     ... other pw specific cards
> >     END_ENGINE_INPUT
> >     END

> >     For case 2) neb.dat and all pw_1.in, pw_2.in ... should be already present.

> >     Structure of the input data (file neb.dat) :
> >     ===============================================================================

> >     &PATH
> >       ...
> >     /

> >     [ CLIMBING_IMAGES
> >        list of images, separated by a comma ]
## Namelist: PATH
string_method | CHARACTER
Default: | 'neb'
>     a string describing the task to be performed:
>        'neb',
>        'smd'
[Back to Top]
restart_mode | CHARACTER
Default: | 'from_scratch'
>     'from_scratch'  : from scratch

>     'restart'       : from previous interrupted run
[Back to Top]
nstep_path | INTEGER
Default: | 1
>     number of ionic + electronic steps
[Back to Top]
num_of_images | INTEGER
Default: | 0
>     Number of points used to discretize the path
>     (it must be larger than 3).
[Back to Top]
opt_scheme | CHARACTER
Default: | 'quick-min'
>     Specify the type of optimization scheme:

>     'sd'         : steepest descent

>     'broyden'    : quasi-Newton Broyden's second method (suggested)

>     'broyden2'   : another variant of the quasi-Newton Broyden's
>                    second method to be tested and compared with the
>                    previous one.

>     'quick-min'  : an optimisation algorithm based on the
>                    projected velocity Verlet scheme

>     'langevin'   : finite temperature langevin dynamics of the
>                    string (smd only). It is used to compute the
>                    average path and the free-energy profile.
[Back to Top]
CI_scheme | CHARACTER
Default: | 'no-CI'
>     Specify the type of Climbing Image scheme:

>     'no-CI'      : climbing image is not used

>     'auto'       : original CI scheme. The image highest in energy
>                    does not feel the effect of springs and is
>                    allowed to climb along the path

>     'manual'     : images that have to climb are manually selected.
>                    See also CLIMBING_IMAGES card
[Back to Top]
first_last_opt | LOGICAL
Default: | .FALSE.
>     Also the first and the last configurations are optimized
>     "on the fly" (these images do not feel the effect of the springs).
[Back to Top]
minimum_image | LOGICAL
Default: | .FALSE.
>     Assume a "minimum image criterion" to build the path. If an atom
>     moves by more than half the length of a crystal axis between one
>     image and the next in the input (before interpolation),
>     an appropriate periodic replica of that atom is chosen.
>     Useful to avoid jumps in the initial reaction path.
[Back to Top]
temp_req | REAL
Default: | 0.D0 Kelvin
>     Temperature used for the langevin dynamics of the string.
[Back to Top]
ds | REAL
Default: | 1.D0
>     Optimisation step length ( Hartree atomic units ).
>     If opt_scheme="broyden", ds is used as a guess for the
>     diagonal part of the Jacobian matrix.
[Back to Top]
k_max, k_min | REAL
Default: | 0.1D0 Hartree atomic units
>     Set them to use a Variable Elastic Constants scheme
>     elastic constants are in the range [ k_min, k_max ]
>     this is useful to rise the resolution around the saddle point.
[Back to Top]
path_thr | REAL
Default: | 0.05D0 eV / Angstrom
>     The simulation stops when the error ( the norm of the force
>     orthogonal to the path in eV/A ) is less than path_thr.
[Back to Top]
use_masses | LOGICAL
Default: | .FALSE.
>     If. TRUE. the optimisation of the path is performed using
>     mass-weighted coordinates. Useful together with quick-min
>     optimization scheme, if some bonds are much stiffer than
>     others. By assigning a larger (fictitious) mass to atoms
>     with stiff bonds, one may use a longer time step "ds"
[Back to Top]
use_freezing | LOGICAL
Default: | .FALSE.
>     If. TRUE. the images are optimised according to their error:
>     only those images with an error larger than half of the largest
>     are optimised. The other images are kept frozen.
[Back to Top]
lfcpopt | LOGICAL
Default: | .FALSE.
See: | fcp_mu
>     If .TRUE. perform a constant bias potential (constant-mu)
>     calculation with ESM method (assume_isolated = 'esm' and
>     esm_bc = 'bc2' or 'bc3' must be set in SYSTEM namelist).
>     'fcp_mu' gives the target Fermi energy.
>     See the header of PW/src/fcp.f90 for documentation
[Back to Top]
fcp_mu | REAL
Default: | 0.d0
See: | lfcpopt
>     If lfcpopt = .TRUE., gives the target Fermi energy [Ry].
>     One can specify the total charge of the system for the first
>     and last image by giving 'fcp_tot_charge_first' and 'fcp_tot_charge_last'
>     so that the Fermi energy of these systems will be the target value,
>     otherwise 'first_last_opt' should be .TRUE.
[Back to Top]
fcp_tot_charge_first | REAL
Default: | 0.d0
See: | lfcpopt
>     Total charge of the system ('tot_charge') for the first image.
>     Initial 'tot_charge' for intermediate images will be given by
>     linear interpolation of 'fcp_tot_charge_first' and 'fcp_tot_charge_last'
[Back to Top]
fcp_tot_charge_last | REAL
Default: | 0.d0
See: | lfcpopt
>     Total charge of the system ('tot_charge') for the last image.
>     Initial 'tot_charge' for intermediate images will be given by
>     linear interpolation of 'fcp_tot_charge_first' and 'fcp_tot_charge_last'
[Back to Top]
## Card: CLIMBING_IMAGES
Optional card, needed only if CI_scheme = 'manual', ignored otherwise ! ### Syntax: CLIMBING_IMAGES index1, index2, ... indexN
> ### Description of items:
> index1, index2, ... indexN | INTEGER
> >     index1, index2, ..., indexN are indices of the images to which the
> >     Climbing-Image procedure apply. If more than one image is specified
> >     they must be separated by a comma.
[Back to Top]

> This file has been created by helpdoc utility.